'View and restore deleted pages' displays broken layout for deleted Flow pages
Closed, ResolvedPublic

Description

Viewing a revision of a deleted Flow board page - e.g. following a link <a href="/w/index.php?title=Special:Undelete&amp;target=Talk%3AET11&amp;timestamp=20150710225615" title="Special:Undelete">22:56, 10 July 2015</a> on a page
http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special:Undelete&target=Talk%3AET11

will display a broken layout on a page http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special:Undelete&target=Talk%3AET11&timestamp=20150710225615

Etonkovidova updated the task description. (Show Details)
Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2015, 9:44 PM
Etonkovidova renamed this task from 'View a restore deleted pages' displays broken layout for deleted Flow pages to 'View and restore deleted pages' displays broken layout for deleted Flow pages.Sep 24 2015, 9:45 PM
Etonkovidova set Security to None.
SBisson triaged this task as High priority.Sep 25 2015, 10:01 PM
SBisson claimed this task.

Change 241655 had a related patch set uploaded (by Sbisson):
Fix Flow board layout on Special:Undelete

https://gerrit.wikimedia.org/r/241655

Change 241655 merged by jenkins-bot:
Fix Flow board layout on Special:Undelete

https://gerrit.wikimedia.org/r/241655

One thing I noticed while working on this is that some features of the board are present and enabled but not working: new topic, edit description, sorting

@ SBisson - I filed T114043.

The fix for 'View and restore deleted pages' display works in beta.

DannyH closed this task as Resolved.Sep 30 2015, 5:17 PM
DannyH added a subscriber: DannyH.